Bug 1476334 - OSPd integration for Ironic setup and management for converged nodes (BIOS, RAID config) [NEEDINFO]
OSPd integration for Ironic setup and management for converged nodes (BIOS, ...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: RHOS Maint
mlammon
: FutureFeature, OtherQA, Triaged
Depends On:
Blocks: 1458798 1476900
  Show dependency treegraph
 
Reported: 2017-07-28 12:20 EDT by John H Terpstra
Modified: 2018-02-08 14:08 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
racedoro: needinfo? (john_terpstra)


Attachments (Terms of Use)

  None (edit)
Description John H Terpstra 2017-07-28 12:20:09 EDT
Description of problem:
Support for R-640, R740xd and DSS9000-based Ceph converge nodes (compute and storage. Rest of OpenStack services and Neutron is on controllers)

OSPd integration for  Ironic setup and management for converged nodes (BIOS, RAID config)
Comment 1 Ramon Acedo 2017-11-15 06:14:51 EST
This RFE has 3 requests:

1. RAID integration in OSPd
2. BIOS config in OSPd
3. Support for R-640, R740xd as Hyper-converged Infrastructure (HCI) nodes.

I suggest to track this requests in separate BZs if they are still relevant. 

I believe the Ironic drac driver has interfaces for RAID [1] and BIOS [2] that could be used for your purposes.

[1]
https://github.com/openstack/ironic/blob/master/ironic/drivers/modules/drac/raid.py

[2] 
https://github.com/openstack/ironic/blob/master/ironic/drivers/modules/drac/bios.py
https://github.com/openstack/ironic/blob/master/ironic/drivers/modules/drac/vendor_passthru.py

As for HCI support for the nodes mentioned if they are certified they should be supported already.

Please, confirm the details and open new RFEs if necessary pointing to the upstream code that you'd like tracking.

Note You need to log in before you can comment on or make changes to this bug.